Jump to content
The Uniform Server Community
Pedja

How to add PHP 5.6 to latest Uniform Server?

Recommended Posts

Latest UniformServer removed PHP 5.6 from package. As I often do porting old PHP code I need old PHP.

How can I add it?

 

Share this post


Link to post
Share on other sites

To use PHP56, you have 1 of 2 options.

Option 1: Use an older version of UniformServer that has PHP56 support

Option 2: Put PHP56 under the PHP70 menu item and run it from there.

To do this

1. Download the php56 from https://sourceforge.net/projects/miniserver/files/Uniform Server ZeroXIV/ZeroXIV Modules/ZeroXIV_php_5_6_30_j.exe/download 

2. Unzip this into the UniformServer Folder.

3. Change the following:

   * Rename the core\php56 to core\php70
   * Rename core\apache2\conf\extra_us\php70.conf to core\apache2\conf\extra_us\php70_actual.conf
   * Rename core\apache2\conf\extra_us\php56.conf to core\apache2\conf\extra_us\php70.conf
   * Inside the file core\apache2\conf\extra_us\php70.conf (you renamed this). You will need to change any \php56\ to \php70\ to correct the path.

Restart UniformServer and run a Apache Syntax check, to check if everything is ok. Should show Syntax OK. If so all good, if not check the errors and correct them. Post them here if you need help.

Now if you choose PHP70 from the menu, you will get UniformServer running with PHP56.

 

 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...